Vote on a poll
POST/cms/poll/{id}
POST
/cms/poll/{id}
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Vote payload
object
choice
required
Selected choice id
integer
product
For paywall voting rewards: Product identifier
string
paywall_id
For paywall voting rewards: Existing paywall ID
string
paywall_key
For paywall voting rewards: Existing paywall key
string
phone_number
Phone number for SMS validation (required if poll has SMS validation enabled)
string
Responses
Section titled “Responses”Vote recorded
Poll
API representation of a poll
object
id
Poll ID
integer format: int64
timestamp
Timestamp
string
question
Question
string
choices
Choices
Array<string>
votes
Votes
integer
slug
Slug
string
category
PollCategory
API representation of a poll category
object
id
Category ID
integer format: int64
name
Name
string
image
Image
string
results
Results
Array<object>
object
value
Number of votes
integer format: int64
percentage
Percentage of total votes
number format: float
message
Message
string
onlyLoggedIn
Only logged in
integer
endDate
End date
string
voted
Voted (only true when voting)
boolean
voted_choice
Voted choice (only valid when voting)
integer
closed
Closed
integer